=== debian/control ===
Source: emacs25-non-dfsg
Section: non-free/editors
Priority: optional
Maintainer: Rob Browning <rlb@defaultvalue.org>
Uploaders: Jerome Marant <jerome@debian.org>
Build-Depends: texinfo, autotools-dev, dpkg-dev (>> 1.10.0), quilt, debhelper (>= 9)
Standards-Version: 3.7.2

Package: emacs25-common-non-dfsg
Section: non-free/editors
Priority: optional
Architecture: all
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: emacs22-common (<< 22.2)
Replaces: emacs22-common (<< 22.2),
  texinfo-doc-nonfree (<< 6.1.0-1)
Breaks: texinfo-doc-nonfree (<< 6.1.0-1)
Description: GNU Emacs common non-DFSG items, including the core documentation
 This package includes the core Emacs documentation: the Emacs Info
 pages, the Emacs Lisp Reference Manual, and the Emacs Lisp Intro.
 .
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains the architecture independent infrastructure that is
 not compliant with the Debian Free Software Guidelines.  In
 particular, this includes some of the GNU Emacs info pages, as they
 are covered under the GFDL, and specify invariant sections.  See
 http://www.debian.org/vote/2006/vote_001 for more information.
