## emacs25-non-dfsg 25.2+1

=== debian/changelog ===
emacs25-non-dfsg (25.2+1-1) unstable; urgency=medium

  * Merge upstream version 25.2

  * Update debian/ for 25.2

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Jul 2017 17:08:22 -0500
